import request from "@/utils/request";

// 随访管理-提醒管理
const BASE_URL = "/sf-work/reminder-template";

// 提醒模板列表
export function remindTemplateListApi(params) {
  return request({
    url: `${BASE_URL}/list`,
    method: 'post',
    data: params
  })
}

// 保存/编辑提醒模板
export function updateRemindTemplateApi(params) {
  return request({
    url: `${BASE_URL}/save`,
    method: 'post',
    data: params
  })
}

// 删除提醒模板
export function deleteRemindTemplateApi(params) {
  return request({
    url: `${BASE_URL}/remove`,
    method: 'post',
    data: params
  })
}

// 提醒模板详情
export function getRemindTemplateApi(id) {
  return request({
    url: `${BASE_URL}/detail/${id}`,
    method: 'get',
  })
}
